Creator Discovery
In this section we go over the APIs that can be used for Creator Discovery.
Public vs Authorized Endpoints
Public Endpoints
There are a set of Public Profile API endpoints that do not require profile owner authorization and are referred to as Public Endpoints in the documentation. You can use Public Profile API public endpoints to get basic metadata and stats about any Public Profile on Snapchat. Since public endpoints return information about any Public Profiles, they only return a subset of publicly available information. For additional metadata or statistics pertaining to Public Profiles, refer to the Access Authorized Profile Data section.
Public endpoints have the same patterns as the rest of the Marketing API endpoints but share a common public prefix, i.e., /public/v1/[PLURAL_PARENT_ENTITY_NAME].
Authorized Data Sharing
Partners can access authorized data about Creators (i.e., Public Profiles) in one of two ways:
- Creator OAuth; or,
- Creator opts-in to data sharing. If they opt in to sharing their insights publicly, API partners can access a subset of authorized endpoints for their profile without individual profile owner authorization.
More on the differences between Public and Authorized endpoints can be found here.
Get Public Profile Change Logs
List All Public Profile Change Logs
This endpoint returns a list of signed urls to change logs. Each change log contains a list of IDs of public profiles which were either created, modified, or deleted.
HTTP Request
https://businessapi.snapchat.com/public/v1/public_profiles/change_logs
Parameters
| Parameter | Required | Description | Possible Values | |
|---|---|---|---|---|
| start_at_timestamp | No | Timestamp to filter profiles created or updated after this date | ||
| limit | No | The number of change logs to return per page, default is 100 | Integer greater than 0 | |
| cursor | No | Encoded cursor for the next page | Use the next_page_id provided in the response to fetch the next page |
HTTP Response
| Field | Description | Possible Values | ||
|---|---|---|---|---|
| request_id | UUID of the request | UUID | ||
| request_status | String to indicate the request status | SUCCESS, ERROR, PARTIAL | ||
| change_logs | List of sub responses which contains change log URLs |
Change Logs
| Field | Description | Possible Values | ||
|---|---|---|---|---|
| sub_request_status | String to indicate the request status | SUCCESS, ERROR, PARTIAL | ||
| change_log | Object containing URL to the change log file |
Example
curl --request GET "https://businessapi.snapchat.com/public/v1/public_profiles/change_logs?start_at_timestamp=2024-04-09T00:00:00Z" \
--header "Authorization: Bearer <ACCESS_TOKEN>"
Response
{
"request_id": "3678e260-32f3-4f73-8bfe-d3066c97b74d",
"request_status": "SUCCESS",
"change_logs": [
{
"sub_request_status": "SUCCESS",
"change_log": {
"url": "https://storage.googleapis.com/creators_change_logs/export_2024-04-02%2005%3A35%3A11.392555%2B00_000000000000.csv?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=business-api%40adsapisc.iam.gserviceaccount.com%2F20240409%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20240409T201318Z&X-Goog-Expires=3600&X-Goog-SignedHeaders=host&X-Goog-Signature=..."
}
},
{
"sub_request_status": "SUCCESS",
"change_log": {
"url": "https://storage.googleapis.com/creators_change_logs/export_2024-04-02%2005%3A35%3A11.392555%2B00_000000000001.csv?X-Goog-Algorithm=GOOG4-RSA-SHA256&X-Goog-Credential=business-api%40adsapisc.iam.gserviceaccount.com%2F20240409%2Fauto%2Fstorage%2Fgoog4_request&X-Goog-Date=20240409T201318Z&X-Goog-Expires=3600&X-Goog-SignedHeaders=host&X-Goog-Signature=..."
}
}
]
}
Discover Creators
Use this endpoint to search for Creators based on follower count, spotlight video views, country and other filters. Note: The results are sorted by follower count if the request specifies filters but no "query".
HTTP Request
https://businessapi.snapchat.com/public/v1/public_profiles/discover
New filters available as of June 5 2026 :
snap_stars_onlyhas_paid_partnership_experienceaudience_genderaudience_countriesshare_insightsshare_expired_stories
See the definitions of these filters in the parameters section below
The can_share_data filter has been deprecated in favor of more granular filters :
share_insightsshare_expired_stories
Please use these filters instead.
The share_authorized_data_with_api_partners response field is deprecated in favor of more granular fields :
share_insightsshare_expired_stories
The spotlight_views count is no longer provided in the response for each creator
The following parameters have been deprecated:
country_codesubcategory
Future API versions may not support these filters. Please use creator_l_90_country_codes and creator_subcategories, respectively, instead.
Parameters
| Parameter | Required | Description | Possible Values |
|---|---|---|---|
| limit | No | The number of results to return per page. Default is 100. | Integers that is bigger than 0 |
| cursor | No | Pagination is cursor-based. Cursors are encoded strings — do not parse or modify them. A cursor is only valid for the original query parameters (changing the query or filters invalidates it), and the total result set is limited to 5,000 creators. | Use the next_page_id provided in the response to fetch the next page |
| creator_l_90_country_codes | No | The creatorʼs country code(s). If provided, then only creators from these countries will be included in the response. | Values should be ISO 3166-1 alpha-2 country codes. Examples: US, FR, SA. If including multiple countries, repeat the parameter, e.g., creator_l_90_country_codes=US&creator_l_90_country_codes=FR |
| creator_categories | No | The creatorʼs subcategories. If provided, then only creators from these subcategories will be returned. | See possible subcategory values below. If including multiple subcategories, repeat the parameter, e.g., creator_categories=BUSINESS&creator_categories=ARTIST |
| min_followers | No | The minimum number of followers a creator should have to be included in the results | Should be a positive number |
| max_followers | No | The maximum number of followers a creator should have to be included in the response. Creators with more than max_followers will not be included in the response. | Should be a positive number, greater than min_followers |
| min_spotlight_views | No | Search creators with at least min_spotlight_views. Only includes the views received in the last 24 hours. | Should be a positive number |
| max_spotlight_views | No | Search creators with at most max_spotlight_views. Only includes the views received in the last 24 hours. | Should be a positive number greater than min_spotlight_views |
| share_insights | No | Set this to true if you want the response to only include creators who have opted to share their stats. | Only one possible value: true |
| share_expired_stories | No | Set this to true if you want the response to only include creators who have opted to share their expired story snaps. | Only one possible value: true |
| snap_stars_only | No | Set this to true if you want the response to only include creators who are snap stars. | Only one possible value: true |
| has_paid_partnership_experience | No | Set this to true if you want the response to only include creators who done a paid partnership with a brand in the past 1 year. | Only one possible value: true |
| audience_gender | No | Set this if you want the response to only include creators whos majority audience is of the specified gender. | Should be GENDER_MALE or GENDER_FEMALE. |
| audience_countries | No | Set this if you want the response to only include creators who have atleast 30% audience from the specified countries | Values should be ISO 3166-1 alpha-2 country codes. Examples: US, FR, SA. If including multiple countries, repeat the parameter, e.g., audience_countries=US&audience_countries=FR |
| query | No | Does a keyword search on the creator’s metadata and content. |
HTTP Response
| Field | Description | Possible Values |
|---|---|---|
| request_id | UUID of the request. | UUID |
| request_status | Status of the request. | SUCCESS, ERROR, PARTIAL |
| public_profiles | Array of public profile objects containing details of the creators. | |
| sub_request_status | String to indicate the request status | SUCCESS, ERROR, PARTIAL |
| display_name | Display name of the creator. | String containing the name of the creator |
| subcategory | The specific category the creator belongs to. | Refer to subcategory section above |
| logo_urls | Object containing URLs to various logos. | Array of URL Strings e.g., {"original_logo_url": "https://cf-st.sc-cdn.net/d/…"} |
| l_90_country_code | Country code of the creator. | ISO 3166-1 alpha-2 codes, e.g., "US" |
| snap_user_name | Snapchat username of the creator. | String containing the username of the creator |
| subscriber_count | Number of subscribers the creator has. | Number of subscribers |
| share_authorized_data_with_api_partners | [deprecated]. | true. field will not be present if it is false. |
| share_insights | true, if creator has opted to share their content's metrics | true. field will not be present in response if creator has not opted in |
| share_expired_stories | true, if creator has opted to share their expired story snaps | true. field will not be present in response if creator has not opted in |
| description | an optional description set by the creator on their profile | String containing the description |
| category | an optional category set by the creator on their profile | CATEGORY_V3_UNKNOWN, CATEGORY_V3_BUSINESS_GROUP, CATEGORY_V3_PEOPLE, CATEGORY_V3_PRODUCT_BRAND |
| an optional email provided by the creator on their profile | String | |
| website | an optional website url provided by the creator on their profile | String |
Example
curl "https://businessapi.snapchat.com/public/v1/public_profiles/discover?limit=2&creator_l_90_country_codes=US&min_followers=100&min_spotlight_views=100"
-H "Authorization: Bearer <ACCESS_TOKEN>"
Response
{
"request_id": "8e4c6de0-de92-4d95-bf58-dae51f16edd7",
"request_status": "SUCCESS",
"public_profiles": [
{
"sub_request_status": "SUCCESS",
"public_profile": {
"id": "62d2298b-...",
"display_name": "hugo",
"description": "description",
"category": "CATEGORY_V3_UNKNOWN",
"subcategory": "SUBCATEGORY_V3_UNKNOWN",
"email": "email@gmail.com",
"website": "https://website.ai",
"logo_urls": {
"original_logo_url": ""
},
"snap_user_name": "alitestaccount",
"subscriber_count": "210",
"l_90_country_code": "US",
"share_insights": true,
"share_expired_stories": true
}
},
…
],
"paging": {
"next_page_id": "…",
"next_link": "https://businessapi.snapchat.com/public/v1/public_profiles/discover…"
}
}
Search
Search For Profiles
This endpoint returns a list of public profiles that match the search criteria.
HTTP Request
https://businessapi.snapchat.com/public/v1/public_profiles/search
Parameters
| Parameter | Required | Default | Description |
|---|---|---|---|
| query | R | The Snap user name or profile display name to search by | |
| limit | O | 100 | The maximum number of profiles to return. Pagination is not currently supported for this endpoint |
| category | O | CATEGORY_BUSINESS | The profile category; one of CATEGORY_PERSON or CATEGORY_BUSINESS |
| tier | O | TIER_PUBLIC_OFFICIAL | The profile tier; one of TIER_PUBLIC or TIER_PUBLIC_OFFICIAL |
| includeStandard | O | false | Boolean whether to include standard tier public profiles |
If a Snap user name returns no results in the search endpoint, it may belong to a standard tier profile. Try setting includeStandard=true.
HTTP Response
| Field | Description | Possible Values | ||
|---|---|---|---|---|
| request_id | UUID of the request | UUID | ||
| request_status | String to indicate the request status | SUCCESS, ERROR, PARTIAL | ||
| public_profiles | List of sub responses which contains profiles | Refer to the public_profiles table below | ||
| debug_message | Debug information string if request_status is ERROR or Partial | |||
| display_message | Display information string if request_status is ERROR or Partial | |||
| error_code | Error code string if request_status is ERROR or Partial |
Public Profiles
| Field | Description | Possible Values | ||
|---|---|---|---|---|
| sub_request_status | String to indicate the request status | SUCCESS, ERROR, PARTIAL | ||
| public_profile | Profile metadata object | Refer to Public Profile Entity, fields marked as Y in the Is Public column. Excluding share_authorized_data_with_api_partners | ||
| sub_request_error_reason | Error reason string if sub_request_status is ERROR or Partial |
Example
curl "https://businessapi.snapchat.com/public/v1/public_profiles/search?query=arbiz-test"
-H "Authorization: Bearer <ACCESS_TOKEN>"
Response
{
"request_id": "ce0066a8-cdaa-4c1f-9537-4d85e0d5357f",
"request_status": "SUCCESS",
"public_profiles": [
{
"sub_request_status": "SUCCESS",
"public_profile": {
"id": "36b8655e-2523-410f-ab00-02061267c3b6",
"display_name": "ARBIZ Test",
"description": "ARBIZ, we've got the meats!",
"category": "CATEGORY_V3_PEOPLE",
"subcategory": "CATEGORY_V3_ARTIST",
"email": "me@arbiz.com",
"website": "https://arbiz.com",
"logo_urls": {
"original_logo_url": "https://cf-st.sc-cdn.net/d/FnezixeVnJNHDAR2ZycK1?bo=Eg0aABoAMgEESAJQGWAB&uc=25",
"discover_feed_logo_url": "https://cf-st.sc-cdn.net/aps/bolt/aHR0cHM6Ly9jZi1zdC5zYy1jZG4ubmV0L2QvRm5leml4ZVZuSk5IREFSMlp5Y0sxP2JvPUVnMGFBQm9BTWdFRVNBSlFHV0FCJnVjPTI1._RS0,72_FMjpeg",
"mega_profile_logo_url": "https://cf-st.sc-cdn.net/aps/bolt/aHR0cHM6Ly9jZi1zdC5zYy1jZG4ubmV0L2QvRm5leml4ZVZuSk5IREFSMlp5Y0sxP2JvPUVnMGFBQm9BTWdFRVNBSlFHV0FCJnVjPTI1._RS0,90_FMjpeg",
"manage_profile_logo_url": "https://cf-st.sc-cdn.net/aps/bolt/aHR0cHM6Ly9jZi1zdC5zYy1jZG4ubmV0L2QvRm5leml4ZVZuSk5IREFSMlp5Y0sxP2JvPUVnMGFBQm9BTWdFRVNBSlFHV0FCJnVjPTI1._RS0,640_FMjpeg"
},
"address_line_1": "123 Main Street",
"locality": "Edmonds",
"administrative_district_level_1": "WA",
"postal_code": "98020",
"country": "US",
"snap_user_name": "arbiz-test",
"profile_tier": "TIER_PUBLIC_OFFICIAL",
"profile_type": "PUBLIC_PROFILE",
"internal_profile_category": "PERSON",
"subscriber_count": 4
}
}
]
}
Metrics
Brands are leaning into smaller creators, who provide access to niche audiences at lower cost, creating a more rich and diverse ecosystem where more Creators can flourish. A key factor that Brands evaluate when searching for Creators to collaborate with is how engaged their audience is. Today, Creators do not necessarily need to have a large following.
Snap Star Profile Avg. ER
- Option 1 (using Followers/Subscribers as denominator) = Total Shares + Total Screenshots + Total Favorites + Total Swipe Ups + Total Story Replies / Total Followers
- Options 2 (using Views as the denominator) = Total Shares + Total Screenshots + Total Favorites + Total Swipe Ups + Total Story Replies / Total Views
Stories ER
- Option 1 (using Followers/Subscribers as denominator) = Total Shares + Total Screenshots + Total Favorites + Total Swipe Ups + Total Story Replies / Total Followers
- Option 2 (using Views as the denominator) = Total Shares + Total Screenshots + Total Swipe Ups + Total Story Replies / Total Views
Snaps ER
- Option 1 (using Followers/Subscribers as denominator) = Total Shares + Total Screenshots + Total Favorites + Total Swipe Ups + Total Story Replies / Total Followers
- Option 2 (using Views as the denominator) = Total Shares + Total Screenshots + Total Swipe Ups + Total Replies / Total Views
Spotlights ER
- Option 1 (using Followers/Subscribers as denominator) = Total Shares + Total Screenshots + Total Favorites / Total Followers
- Option 2 (using Views as the denominator) = Total Shares + Total Screenshots + Total Favorites / Total Views
Lenses ER
- Option 1 (using Followers/Subscribers as denominator) = Total Shares + Total Favorites / Total Followers
- Option 2 (using Views as the denominator) = Total Shares +Total Favorites / Total Views
Get Publicly Available Profile Metadata
Get Profile by Profile ID
This endpoint retrieves the public metadata of a Public Profile by its ID.
HTTP Request
https://businessapi.snapchat.com/public/v1/public_profiles/{profile_id}
Parameters
| Parameter | Default | Description | ||
|---|---|---|---|---|
| profile_id | Profile ID |
HTTP Response
| Field | Description | Possible Values | ||
|---|---|---|---|---|
| request_id | UUID of the request | UUID | ||
| request_status | String to indicate the request status | SUCCESS, ERROR, PARTIAL | ||
| public_profiles | List of sub responses which contains profiles | Refer to the public_profiles table below | ||
| debug_message | Debug information string if request_status is ERROR or Partial | |||
| display_message | Display information string if request_status is ERROR or Partial | |||
| error_code | Error code string if request_status is ERROR or Partial |
Public Profiles
| Field | Description | Possible Values | ||
|---|---|---|---|---|
| sub_request_status | String to indicate the request status | SUCCESS, ERROR, PARTIAL | ||
| public_profile | Profile metadata object | Refer to Public Profile Entity, fields marked as Y in the Is Public column | ||
| sub_request_error_reason | Error reason string if sub_request_status is ERROR or Partial |
Example - Get Profile by Profile ID
This example fetches a Profile that is sharing data with partners via the API ("share_authorized_data_with_api_partners": true)
curl "https://businessapi.snapchat.com/public/v1/public_profiles/b975d22d-aea4-4929-b2bb-b0e6bfa95e12"
-H "Authorization: Bearer <ACCESS_TOKEN>"
The above command returns JSON structured like this:
{
"request_id": "db338ee8-b6bd-4c2f-a329-5a253d072a39",
"request_status": "SUCCESS",
"public_profiles": [
{
"sub_request_status": "SUCCESS",
"public_profile": {
"id": "b975d22d-aea4-4929-b2bb-b0e6bfa95e12",
"display_name": "Snap AR",
"description": "Your place to find all things AR for Snap",
"category": "CATEGORY_V3_PRODUCT_BRAND",
"subcategory": "SUBCATEGORY_V3_PRODUCT",
"website": "https://linktr.ee/SnapAR",
"logo_urls": {
"original_logo_url": "https://cf-st.sc-cdn.net/d/iIijIDRFkVUhHbHuSd3jO?bo=Eg0aABoAMgEESAJQGWAB&uc=25",
"discover_feed_logo_url": "https://cf-st.sc-cdn.net/aps/bolt/aHR0cHM6Ly9jZi1zdC5zYy1jZG4ubmV0L2QvaUlpaklEUkZrVlVoSGJIdVNkM2pPP2JvPUVnMGFBQm9BTWdFRVNBSlFHV0FCJnVjPTI1._RS0,72_FMpng",
"mega_profile_logo_url": "https://cf-st.sc-cdn.net/aps/bolt/aHR0cHM6Ly9jZi1zdC5zYy1jZG4ubmV0L2QvaUlpaklEUkZrVlVoSGJIdVNkM2pPP2JvPUVnMGFBQm9BTWdFRVNBSlFHV0FCJnVjPTI1._RS0,90_FMpng",
"manage_profile_logo_url": "https://cf-st.sc-cdn.net/aps/bolt/aHR0cHM6Ly9jZi1zdC5zYy1jZG4ubmV0L2QvaUlpaklEUkZrVlVoSGJIdVNkM2pPP2JvPUVnMGFBQm9BTWdFRVNBSlFHV0FCJnVjPTI1._RS0,640_FMpng"
},
"locality": "Los Angeles",
"administrative_district_level_1": "CA",
"country": "US",
"snap_user_name": "snaplensscape",
"profile_tier": "TIER_PUBLIC_OFFICIAL",
"internal_profile_category": "PERSON",
"subscriber_count": "73441",
"share_authorized_data_with_api_partners": true,
"l_90_country_code": "US"
}
}
]
}
Get Profile by Snap ID
This endpoint retrieves a user’s public profile id given the snap id of the snap this user created.
HTTP Request
https://businessapi.snapchat.com/public/v1/snaps/{snap_id}/public_profile
HTTP Response
| Field | Description | Possible Values | Possible Values | |
|---|---|---|---|---|
| request_id | UUID of the request | UUID | UUID | |
| request_status | String to indicate the request status | SUCCESS ERROR PARTIAL | Integers that is bigger than 0 | |
| profile_id | UUID of the creator’s profile | UUID string | UUID string | |
| debug_message | Debug information string if request_status is ERROR or Partial | |||
| display_message | Display information string if request_status is ERROR or Partial | |||
| error_code | Error code string if request_status is ERROR or Partial |
Example
curl "https://businessapi.snapchat.com/public/v1/snaps/{snap_id}/public_profile"
-H "Authorization: Bearer <ACCESS_TOKEN>"
Response
{
"request_id": "5adcb413-642d-44d0-ba51-110d2574420f",
"request_status": "SUCCESS",
"profile_id": "72aa026e-6940-4613-bc06-2f1cf573a8b4"
}
Get Publicly Available Profile Assets
The following assets are available on the Public endpoints (as denoted by the /public prefix). They show a subset of the data available on the Authorized endpoints.
| Asset | Public endpoint | Authorized endpoint |
|---|---|---|
| Profile | /public/v1/public_profiles/{profile_id} | Link |
| Lens | /public/v1/public_profiles/{profile_id}/lenses | Link |
| Saved Story | /public/v1/public_profiles/{profile_id}/saved_stories | Link |
| Spotlight | /public/v1/public_profiles/{profile_id}/spotlights | Link |
Access Authorized Profile Data
These endpoints are only available when creators have authorized brands to access profile and asset data. Only a subset of creators allow this access, and the data is filtered based on what is shared.
Add /v1/public_profiles/{profile_id} before these endpoints to access authorized profile data:
| Asset | Get all | Get one | Get stats |
|---|---|---|---|
| Profile | N/A | / (more) | /stats (more) |
| Lens | /lenses (more) | /lenses/{id} (more) | N/A |
| Story | /stories (more) | N/A | /stories/{id}/stats (more) |
| Story Snap | /stories/{id}/snaps (more) | N/A | N/A |
| Saved Story | /saved_stories (more) | N/A | /saved_stories/{id}/stats (more) |
| Saved Story Snap | /saved_stories/{id}/snaps (more) | N/A | N/A |
| Spotlight | /spotlights (more) | /spotlights/{id} (more) | /spotlights/{id}/stats (more) |
Brand-Creator Collaborations
Create Pre-Approved Creators
A brand profile is able to invite pre-approved creator(s) for brand collaboration.
HTTP Request
https://businessapi.snapchat.com/v1/public_profiles/{profile_id}/roles
Parameters
| Field name | Required | Description | Possible Values |
|---|---|---|---|
| profile_id | R | Brand profile ID. | UUID |
| roles | R | List of ProfileRole objects (see below for details) to create. Currently only supports one input object each call. | Text only |
ProfileRole
| Field name | Required | Description | Possible Values |
|---|---|---|---|
| invitee_username | R | The invitee Snapchat user name. | Text only |
| invitee_display_name | O | The invitee Snapchat user display name. | Text only |
| invitee_user_id | R | Unique identifier of the invitee Snapchat user. | UUID |
| invitor_user_id | O | Unique identifier of the invitor Snapchat user. Note: only populated in response. | UUID |
| role_type | R | Role type the invitee Snapchat user will be assigned. When partnership_level is AD_LEVEL or BRAND_LEVEL, must be "business_account_story_contributor". The API returns the canonical role type (e.g., preapproved_creator_ad_partner) in the response. | business_account_story_contributor |
| role_status | O | Enum for the invite role status. Note: only populated in response. | PENDING, APPROVED, EXPIRED, REJECTED |
| partnership_level | R | Brand partnership enum the invitee Snapchat user will be assigned. Currently only supports "AD_LEVEL". | AD_LEVEL, BRAND_LEVEL |
HTTP Response
| Name | Description | Possible Values |
|---|---|---|
| request_id | A UUID to identify this request. | UUID |
| request_status | SUCCESS, ERROR | |
| roles | List of ProfileRole objects (see above for details) that have been created. | Text only |
| auto_approved | true if target and source users are bidirectional friends. | True, False |
| debug_message | A debug message to help debug if there is an error. | |
| display_message | Display message if there is an error. | |
| error_code | Error code if there is an error. |
role_type input vs. response: Send "business_account_story_contributor" with partnership_level: "AD_LEVEL" when inviting pre-approved creators. The API internally maps this to the canonical role type and returns "preapproved_creator_ad_partner" in the response. Both values refer to the same pre-approved creator role.
Example Request
{
"roles": [
{
"invitee_username": "mytestuser",
"invitee_user_id": "a474fcea-c5f3-473a-8bb3-2aa1787c139d",
"role_type": "business_account_story_contributor",
"partnership_level": "AD_LEVEL"
}
]
}
Example Response
{
"request_id": "862ed9f0-096e-406f-834c-aa29bf211a66",
"request_status": "SUCCESS",
"roles": [
{
"invitee_username": "mytestuser",
"invitee_display_name": "Snap Test User",
"invitee_user_id": "a474fcea-c5f3-473a-8bb3-2aa1787c139d",
"invitor_user_id": "3edf7e14-88cc-43a2-aee0-5adee2ae9ed9",
"role_type": "preapproved_creator_ad_partner",
"role_status": "PENDING",
"partnership_level": "AD_LEVEL"
}
],
"auto_approved": false
}
Retrieve Collaboration Snaps
This endpoint enables a partner to retrieve paid partnerships posts where the brand is tagged by a Creator. Its response may contain Spotlights, Saved Stories, and Public Stories depending on the types of creators collaborations the brand has executed.
HTTP Request
https://businessapi.snapchat.com/v1/public_profiles/{profile_id}/shared_snaps
Parameters
| Parameter | Required | Description | Possible Values | |
|---|---|---|---|---|
| profile_id | Yes | The Profile ID of the Brand being tagged | UUID | |
| limit | No | Pagination limit size of returned snap. If not specified, default is 10 | Integer greater than 0 | |
| cursor | No | Pagination encoded cursor for the next page of snaps. Default is empty | ||
| fetch_in_aggregate_view | No | If set to true, Story ID and Story type will be included in the response per Snap. Default is TRUE | True/False |
HTTP Response
| Parameter | Description | Possible Values |
|---|---|---|
| id | First snap | UUID |
| story_id | The ID of the full Story | UUID |
| media_metadata | Object contianing information about the media such as type and url | |
| sponsor | The Public Profile of the Brand being tagged in the shared_snap and the post is marked as paid partnership. The sponsor field appears before the status hits APPROVED. The possible values of this field are: PENDING: Pending for the brand to review the snap. REJECTED: Rejected by the brand NOT_SPECIFIED: The snap is sponsored without specifying a sponsor explicitly, thus no need to review. AUTO_APPROVED: The snap was auto-approved because the brand has provided certain permissions to the creator | |
| username | The Snap username of the Creator tagging the Brand’s Public Profile | |
| display_name | The display name of the Creator’s Public Profile | |
| multi_snaps_bundle_id | A bundle ID for when the story > 10s | |
| story_type | For example is its a SAVED_STORY |
Response
{
"request_id": "2c9a2329-f73a-4c21-8dc8-e819457322ab",
"request_status": "SUCCESS",
"shared_snaps": [
{
"sub_request_status": "SUCCESS",
"shared_snap": {
"id": "f2bcb0e8-97a6-4cc9-add8-c8d98fb46e1e",
"story_id": "5f8b9adb-7799-40cd-bd38-e3d4b7e9f80f",
"media_metadata": {
"media_type": "MEDIA_TYPE_IMAGE",
"media_url": "https://cf-st.sc-cdn.net/d/HMbAELp8f4v8c3uH27reH.999.IRZXSOY?mo=GjUaDhoAGgAyAgR9SARQT2ABWhBQdWJsaWNJbWFnZVN0b3J5ogEQCOcHIgsSACoHSVJaWFNPWQ%3D%3D&uc=79",
"thumbnail_url": "https://cf-st.sc-cdn.net/d/HMbAELp8f4v8c3uH27reH.256.IRZXSOY?mo=GkgaDhoAGgAyAgR9SANQT2ABWhBEZkxhcmdlVGh1bWJuYWlsogEQCIACIgsSACoHSVJaWFNPWaIBEAiaCiILEgAqB0lSWlhTT1k%3D&uc=79"
},
"created_at": "2024-01-26T22:37:50.575Z",
"sponsor": {
"profile_id": "4d535b7a-5228-48ba-9ae3-2f1fdc5518e1",
"display_name": "City Boutique",
"sponsor_status": "AUTO_APPROVED"
},
"display_name": "Zehua Profile",
"story_type": "SAVED_STORY"
}
},
{
"sub_request_status": "SUCCESS",
"shared_snap": {
"id": "zt-ev1rpTgWbEQ7y90uGswAAgbWRkenJzZXh6AYZgp75HAYZgp7yGAAAAAA",
"story_id": "bfc0db68-0f7a-4f1f-be01-7ac311f8d339",
"media_metadata": {
"media_type": "MEDIA_TYPE_VIDEO",
"media_url": "https://cf-st.sc-cdn.net/d/T8PXxkizs3L41WAGKP9JZ.1034.IRZXSOY?mo=GjYaDRoAGgAyAQRIAlBLYAGiASQIiggSEgoQIAFKDAoHOBcfJiAfGhD0AyILEgAqB0lSWlhTT1k%3D&uc=75",
"thumbnail_url": "https://cf-st.sc-cdn.net/d/T8PXxkizs3L41WAGKP9JZ.256.IRZXSOY?mo=Gk0aCxoAGgAyAQRQS2ABWhBEZkxhcmdlVGh1bWJuYWlsogEUCIACIg8KAkgDEgAqB0lSWlhTT1miARQImgoiDwoCSAISACoHSVJaWFNPWQ%3D%3D&uc=75"
},
"created_at": "2023-02-17T18:34:10.950Z",
"sponsor": {
"profile_id": "4d535b7a-5228-48ba-9ae3-2f1fdc5518e1",
"display_name": "City Boutique",
"sponsor_status": "AUTO_APPROVED"
}
}
}
]
}
Turn the organic PP post into an ad
This endpoint enables brand to turn a paid partnerships post into an ad
HTTP Request
https://businessapi.snapchat.com/v1/adaccounts/{adAccountId}/claim_media_by_snap_reference
Parameters
| Parameter | Required | Description | Possible Values | |
|---|---|---|---|---|
| snap_id | Yes | The ID of the organic content to be turned into an ad | UUID |
Response
{
"request_status": "SUCCESS",
"request_id": "654b4c1a-0284-4586-b423-77421f958d95",
"media_entity_id": "7f7b5f3f-7d23-48b9-91b0-7b9cb7242490"
}